<div class="col-lg-6">
	<h1>{{ titulo }}</h1>

	<form #formAlbum="ngForm" (ngSubmit)="onSubmit()">
		<div class="form-group">
			<label for="title">Título:</label>
			<span *ngIf="!title.valid && title.touched">*</span>
			<input class="form-control" type="text" name="title" #title="ngModel" [(ngModel)]="album.title">
		</div>
		<div class="form-group">
			<label for="">Descripción:</label>
			<span *ngIf="!description.valid && description.touched">*</span>
			<input class="form-control" type="text" name="description" #description="ngModel" [(ngModel)]="album.description">
		</div>
		<div class="form-group">
			<label for="date_release">Año:</label>
			<span *ngIf="!date_release.valid && date_release.touched">*</span>
			<input class="form-control" type="text" name="date_release" #date_release="ngModel" [(ngModel)]="album.date_release">
		</div>

		<div *ngIf="is_edit">
			<div class="album_image_for_edit" *ngIf="album.image && album.image != 'null'">
				<img src="{{ album.imageURL }}">
			</div>
			
			<p>
				<label>
					Subir imagen de álbum:
				</label>
				<input type="file" (change)="fileChangeEvent($event)">
			</p>
		</div>

		<input type="submit" value="{{titulo}}" [disabled]="!formAlbum.form.valid" class="btn btn-success">
	</form>
</div>